Bug 457122 - Crash when running sugar-emulator
Crash when running sugar-emulator
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: sugar (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Marco Pesenti Gritti
Fedora Extras Quality Assurance
:
Depends On: 457292
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-29 14:59 EDT by Ignacio Vazquez-Abrams
Modified: 2008-10-30 07:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-30 07:27:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2008-07-29 14:59:18 EDT
Description of problem:
When running sugar-emulator the Xephyr window shows and the following traceback
appears:
Traceback (most recent call last):
  File "/usr/bin/sugar-shell", line 30, in <module>
    from main import main
  File "/usr/share/sugar/shell/main.py", line 34, in <module>
    import view.Shell
  File "/usr/share/sugar/shell/view/Shell.py", line 38, in <module>
    from view.frame import frame
  File "/usr/share/sugar/shell/view/frame/frame.py", line 29, in <module>
    from view.frame.activitiestray import ActivitiesTray
  File "/usr/share/sugar/shell/view/frame/activitiestray.py", line 23, in <module>
    from sugar.graphics.tray import HTray
  File "/usr/lib/python2.5/site-packages/sugar/graphics/tray.py", line 22, in
<module>
    from sugar.graphics.palette import Palette, ToolInvoker
  File "/usr/lib/python2.5/site-packages/sugar/graphics/palette.py", line 922,
in <module>
    class WidgetInvoker(Invoker):
  File "/usr/lib/python2.5/site-packages/gtk-2.0/gobject/__init__.py", line 40,
in __init__
    cls._install_properties()
  File "/usr/lib/python2.5/site-packages/gtk-2.0/gobject/__init__.py", line 68,
in _install_properties
    " or getter. This is not allowed" % (cls,))
TypeError: GObject subclass <class 'sugar.graphics.palette.WidgetInvoker'>
defines do_get/set_property and it also uses a property which a custom setter or
getter. This is not allowed

Version-Release number of selected component (if applicable):
sugar-(none):0.81.3-1.fc8.i386

How reproducible:
Every time

Steps to Reproduce:
1. Run sugar-emulator
  
Actual results:
"Blank" Xephyr window and traceback in console

Expected results:
Xephyr window with sugar desktop

Additional info:
Comment 1 Marco Pesenti Gritti 2008-07-30 14:05:16 EDT
Hmm it needs pygobject-2.14.2. Maybe we can get an update for it in fc8?

Note You need to log in before you can comment on or make changes to this bug.